extern	directory_type 	directories; 		/* all the directories	     */
extern  int 		num_db_items; 		/* number of items in the db */
extern  int		num_copier;
extern  int		num_pseudo;

/* macros to handle bit manipulations with the directory structure */

#define SET_BIT(mask,site) (mask |= (0x01 << site))
#define CLEAR_BIT(mask,site) (mask &= (~ (0x01 << site)))
#define TEST_BIT(mask,site) (mask & (0x01 << site))


/* define functions for directory manipulation */

#define CHECK_FOR_COPY	1
#define COPY_PRESENT	2		/* is the object present on this site */
#define COPY_NOT_PRESENT 3
#define CREATE_COPY	4   /* change directory to show creation of object */
#define REMOVE_COPY	5   /* change directory to show removal of object */
#define DIRECTORY_ERROR (-1)

